Get payment by reference
GEThttps://core-prod.malipopay.co.tz/api/v1/payment/reference/:reference
Retrieves full payment details using the payment reference.
Request
Path Parameters
reference stringrequired
The unique payment reference.
Responses
- 200
- 400
- 401
- 500
Payment retrieved successfully
- application/json
- Schema
- Example (auto)
Schema
customer objectrequired
merchantAccountIdstringrequired
Name of the merchant account.
Example:
Lockwood Technologymodestringrequired
Mode of payment processing.
Example:
CHARGEreferencestringrequired
Reference number for the payment.
Example:
ML21030amountintegerrequired
Amount being charged.
Example:
1000currencystringrequired
Currency code for the transaction.
Example:
TZSlinkstring
Link to the payment gateway or receipt.
statusstringrequired
Current status of the payment.
Example:
PROCESSING{
"customer": {
"_id": "6281559426fa29659c5ac38a",
"phoneNumber": "255684118011",
"firstname": "FRANCIS",
"lastname": "MWAKATUMBULA",
"mno": "Airtel"
},
"merchantAccountId": "Lockwood Technology",
"mode": "CHARGE",
"reference": "ML21030",
"amount": 1000,
"currency": "TZS",
"link": "string",
"status": "PROCESSING"
}
Payment not found
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Unauthorized
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Internal server error
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz/api/v1/payment/reference/:reference' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response